CAN_BRIDGE(1)

NAME
can_bridge - bridge two CAN buses

DESCRIPTION
usage: can_bridge [-h] [--bus1-channel CHANNEL]

    [--bus1-interface INTERFACE] [--bus1-bitrate BITRATE] [--bus1-fd] [--bus1-data-bitrate DATA_BITRATE] [--bus1-timing TIMING_ARG [TIMING_ARG ...]] [--bus1-bus-kwargs BUS_KWARG [BUS_KWARG ...]] [--bus2-channel CHANNEL] [--bus2-interface INTERFACE] [--bus2-bitrate BITRATE] [--bus2-fd] [--bus2-data-bitrate DATA_BITRATE] [--bus2-timing TIMING_ARG [TIMING_ARG ...]] [--bus2-bus-kwargs BUS_KWARG [BUS_KWARG ...]]

Bridge two CAN buses. Both can buses will be connected so that messages from bus1 will be sent on bus2 and messages from bus2 will be sent to bus1.

  options:

-h, --help
    show this help message and exit

  Bus 1 arguments:

--bus1-channel CHANNEL
    Most backend interfaces require some sort of channel. For example with the serial interface the channel might be a rfcomm device: "/dev/rfcomm0". With the socketcan interface valid channel examples include: "can0", "vcan0".

--bus1-interface {canalystii,cantact,etas,gs_usb,iscan,ixxat,kvaser,neousys,neovi,nican,nixnet,pcan,robotell,seeedstudio,serial,slcan,socketcan,socketcand,systec,udp_multicast,usb2can,vector,virtual}
    Specify the backend CAN interface to use. If left blank, fall back to reading from configuration files.

--bus1-bitrate BITRATE
    Bitrate to use for the CAN bus.

--bus1-fd
    Activate CAN-FD support

--bus1-data-bitrate DATA_BITRATE
    Bitrate to use for the data phase in case of CAN-FD.

--bus1-timing TIMING_ARG [TIMING_ARG ...]
    Configure bit rate and bit timing. For example, use `--timing f_clock=8_000_000 tseg1=5 tseg2=2 sjw=2 brp=2 nof_samples=1` for classical CAN or `--timing f_clock=80_000_000 nom_tseg1=119 nom_tseg2=40 nom_sjw=40 nom_brp=1 data_tseg1=29 data_tseg2=10 data_sjw=10 data_brp=1` for CAN FD. Check the pythoncan documentation to verify whether your CAN interface supports the `timing` argument.

--bus1-bus-kwargs BUS_KWARG [BUS_KWARG ...]
    Pass keyword arguments down to the instantiation of the bus class. For example, `-i vector -c 1 --buskwargs app_name=MyCanApp serial=1234` is equivalent to opening the bus with `can.Bus('vector', channel=1, app_name='MyCanApp', serial=1234)

  Bus 2 arguments:

--bus2-channel CHANNEL
    Most backend interfaces require some sort of channel. For example with the serial interface the channel might be a rfcomm device: "/dev/rfcomm0". With the socketcan interface valid channel examples include: "can0", "vcan0".

--bus2-interface {canalystii,cantact,etas,gs_usb,iscan,ixxat,kvaser,neousys,neovi,nican,nixnet,pcan,robotell,seeedstudio,serial,slcan,socketcan,socketcand,systec,udp_multicast,usb2can,vector,virtual}
    Specify the backend CAN interface to use. If left blank, fall back to reading from configuration files.

--bus2-bitrate BITRATE
    Bitrate to use for the CAN bus.

--bus2-fd
    Activate CAN-FD support

--bus2-data-bitrate DATA_BITRATE
    Bitrate to use for the data phase in case of CAN-FD.

--bus2-timing TIMING_ARG [TIMING_ARG ...]
    Configure bit rate and bit timing. For example, use `--timing f_clock=8_000_000 tseg1=5 tseg2=2 sjw=2 brp=2 nof_samples=1` for classical CAN or `--timing f_clock=80_000_000 nom_tseg1=119 nom_tseg2=40 nom_sjw=40 nom_brp=1 data_tseg1=29 data_tseg2=10 data_sjw=10 data_brp=1` for CAN FD. Check the pythoncan documentation to verify whether your CAN interface supports the `timing` argument.

--bus2-bus-kwargs BUS_KWARG [BUS_KWARG ...]
    Pass keyword arguments down to the instantiation of the bus class. For example, `-i vector -c 1 --buskwargs app_name=MyCanApp serial=1234` is equivalent to opening the bus with `can.Bus('vector', channel=1, app_name='MyCanApp', serial=1234)